local harbour = ...
-- Register model for stocking asset

harbour:overrideAsset({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        HarbourPrefix .. "_SAILOR"
    }
})

harbour:overrideAsset({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        HarbourPrefix .. "_SAILOR"
    }
})

harbour:overrideAsset({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        HarbourPrefix .. "_SAILOR"
    }
})

harbour:overrideAsset({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        HarbourPrefix .. "_SAILOR"
    }
})

-- Register Sailor job
harbour:registerAsset({
	DataType = "JOB",
	Id = HarbourPrefix .. "_SAILOR",
	JobName = HarbourPrefix .. "_SAILOR_NAME",
	JobDescription = HarbourPrefix .. "_SAILOR_DESC",
        CharacterSetup = {
        },
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 30.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})
